# Class FixedLengthVectorCoord.VectorDomain

java.lang.Object
uk.ac.starlink.ttools.plot2.data.FixedLengthVectorCoord.VectorDomain

All Implemented Interfaces:
  `uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>, uk.ac.starlink.table.DomainMapper`

Enclosing class:
  `FixedLengthVectorCoord`

public static class FixedLengthVectorCoord.VectorDomain extends Object implements uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>, uk.ac.starlink.table.DomainMapper
Domain for use with FixedLengthVectorCoord. Note it is its own sole mapper, so it implements both the Domain and DomainMapper interfaces.

Since:
  25 Jan 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`VectorDomain(int nel, Class<?>[] userClasses)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getDomainName()`
`FixedLengthVectorCoord.VectorDomain[]`
`getMappers()`
`FixedLengthVectorCoord.VectorDomain`
`getPossibleMapper(uk.ac.starlink.table.ValueInfo info)`
`FixedLengthVectorCoord.VectorDomain`
`getProbableMapper(uk.ac.starlink.table.ValueInfo info)`
`Class<?>`
`getSourceClass()`
`String`
`getSourceDescription()`
`String`
`getSourceName()`
`FixedLengthVectorCoord.VectorDomain`
`getTargetDomain()`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VectorDomain

public VectorDomain(int nel, Class<?>[] userClasses)
Constructor.

Parameters:
  `nel` - fixed number of elements in array
  `userClasses` - classes of user object that can be handled int this domain

## Method Details

### getDomainName

public String getDomainName()

Specified by:
  `getDomainName` in interface `uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>`

### getMappers

public FixedLengthVectorCoord.VectorDomain[] getMappers()

Specified by:
  `getMappers` in interface `uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>`

### getProbableMapper

public FixedLengthVectorCoord.VectorDomain getProbableMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getProbableMapper` in interface `uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>`

### getPossibleMapper

public FixedLengthVectorCoord.VectorDomain getPossibleMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getPossibleMapper` in interface `uk.ac.starlink.table.Domain<FixedLengthVectorCoord.VectorDomain>`

### getTargetDomain

public FixedLengthVectorCoord.VectorDomain getTargetDomain()

Specified by:
  `getTargetDomain` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceClass

public Class<?> getSourceClass()

Specified by:
  `getSourceClass` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceName

public String getSourceName()

Specified by:
  `getSourceName` in interface `uk.ac.starlink.table.DomainMapper`

### getSourceDescription

public String getSourceDescription()

Specified by:
  `getSourceDescription` in interface `uk.ac.starlink.table.DomainMapper`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`